Package weka.classifiers

# Interface UpdateableClassifier

All Known Implementing Classes:
  `AODE`, `AODEsr`, `DMNBtext`, `IB1`, `IBk`, `KStar`, `LWL`, `NaiveBayesMultinomialUpdateable`, `NaiveBayesUpdateable`, `NNge`, `RacedIncrementalLogitBoost`, `SPegasos`, `Winnow`

public interface UpdateableClassifier
Interface to incremental classification models that can learn using one instance at a time.

Version:
  $Revision: 1.5 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`void`
`updateClassifier(Instance instance)`
Updates a classifier using the given instance.

## Method Details

### updateClassifier

void updateClassifier(Instance instance) throws Exception
Updates a classifier using the given instance.

Parameters:
  `instance` - the instance to included
Throws:
  `Exception` - if instance could not be incorporated successfully